cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

MP Navigator and High Sierra

Mike12
Contributor

After installing macOS 10.13.1 (High Sierra) MP Navigator EX 4.0 has ceased to work.

1 ACCEPTED SOLUTION

Thanks, Mark.  In the elegance stakes, that solution scores zero, I'm afraid!  Fortunately, by updating MP Navigator to v4.0.5 and reinstalling the IJ Network Tool in its latest version, all problems with my MG 6150 have been overcome.  Took me a couple of hours to sort that out and I would have hoped for an auto-update from Canon, to be honest, but the job's done, thankfully.  Hopefully this might help other sufferers.

View solution in original post

243 REPLIES 243

Thanks for what? If the suggestion is not posted this helps no one

jeffjane627
Apprentice

I'm having the problem, too. Printer is PIXMA 882.

Hollywood68
Apprentice

Any idea how to get MP Navigator to wortk with Mac OS High Sierra 10.13.2??

New folks: Read Back a few pages to catch up

sailing117
Apprentice

MP Navigator 2.1 on Pixma mx320 will not work with OS High Sierra. 

When is a software update going to be available so I can use the scan function again?

In the meantime, is there a work-around for this problem?

RachaelTGeorge
Apprentice

I got my 210 LIDE scanner working with high sierra by following studawg6's directions:  I went back to Maverick, and was able to get the MP Navigator 4.0.5 to work.  Ugh.  Cannon - get this figured out.  We shouldn't have to be going to old versions in order to get your software to work with your perifieral equipment.  

Hollywood68
Apprentice
Canon told me that there is no version that will run MP navigator. I find this incredible in this day and age. Perhaps everyone should email them directly.

jeffjane627
Apprentice

I have read through the messages and found that some people have had success going back to 3.1.5. Unfortunately that is not an option if you have an MX882 becuase it isn't supported by 3.1.5. I tried deleting and reinstalling 4.1.3 and 4.1.4 and that didn't work at all.

 

I'm not a happy Canon right now, but I suspect they don't care...

I have made numerous responces to this thread and still have no luck in getting my MX 870 to work. Before upgrading to High Sierra MP Navigator 3.1.4 worked fine. Since the upgrade I have tried several versions of MP Nav 4 and Nav 5 as well as trying to download 3.1.5 that several responders have said worked.  3.1.5 is listed for Window only. I can't find a 3.1.5 for Mac and when I try to download the windows version it won't download.

 

So for me at least the problem still exists and Canon seems to not care. I have sworn off all Canon products as a result. I can get a new printer with less expensive ink from other suppliers. Canon  [Removed offensive language per Forum Guidelines. Please remember, if violations to these rules are severe, or they continue after warnings, a user's privileges to the Forum may be suspended for any length of time, up to and including a permanent ban, at the sole discretion of Canon USA.]

Avatar
click here to view the press release
Announcements